Bug 853752 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:975b6445e8cd2b6dfa392bf1779...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 12:00 EDT by Allan Poulsen
Modified: 2013-08-01 15:09 EDT (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:09:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-09-02 12:00 EDT, Allan Poulsen
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (374 bytes, text/plain)
2012-09-02 12:00 EDT, Allan Poulsen
no flags Details

  None (edit)
Description Allan Poulsen 2012-09-02 12:00:37 EDT
Description of problem:
Machine has been suspended.
Revoken.
Do some actions that include starting/stopping applications (in this case Chromium) in full screen mode.
On next full screen action (Window close or Open) the Noveau driver will crash leaving the X-server in an unusable state.


Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.2-3.fc17.x86_64

backtrace:
:0: /usr/bin/X (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/X (0x400000+0x6a289) [0x46a289]
:2: /lib64/libpthread.so.0 (0x3b97600000+0xefe0) [0x3b9760efe0]
:3: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f81678b0000+0x606a) [0x7f81678b606a]
:4: /usr/lib64/xorg/modules/libexa.so (0x7f8166c3c000+0x9e53) [0x7f8166c45e53]
:5: /usr/lib64/xorg/modules/libexa.so (0x7f8166c3c000+0x9fd8) [0x7f8166c45fd8]
:6: /usr/bin/X (miCopyRegion+0x185) [0x54f6a5]
:7: /usr/bin/X (miDoCopy+0x426) [0x54fc46]
:8: /usr/lib64/xorg/modules/libexa.so (0x7f8166c3c000+0x8706) [0x7f8166c44706]
:9: /usr/bin/X (0x400000+0x10520d) [0x50520d]
:10: /usr/bin/X (0x400000+0xd8eaf) [0x4d8eaf]
:11: /usr/bin/X (0x400000+0xda395) [0x4da395]
:12: /usr/bin/X (0x400000+0x3444a) [0x43444a]
:13: /usr/bin/X (0x400000+0x23485) [0x423485]
:14: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3b96a21735]
:15: /usr/bin/X (0x400000+0x2375d) [0x42375d]
Comment 1 Allan Poulsen 2012-09-02 12:00:39 EDT
Created attachment 609129 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Allan Poulsen 2012-09-02 12:00:42 EDT
Created attachment 609130 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 3 Allan Poulsen 2012-09-02 12:03:28 EDT
It seems there are relations with this bug and https://bugzilla.redhat.com/show_bug.cgi?id=853501
Comment 4 copperjoy2002 2012-10-01 05:05:34 EDT
Firefox was running and I was watching a video in VLC.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Andrew Nguyen 2012-10-03 20:05:30 EDT
Xorg crashes at random times during normal desktop activities, such as web surfing and using the terminal.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Adam Jackson 2012-10-18 17:47:50 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 7 Reartes Guillermo 2012-10-25 12:03:41 EDT
i noticed it working remotelly, i was using powertop. the system was newly installed (a couple of hours) and fully updated.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 copperjoy2002 2012-10-28 18:41:55 EDT
I was browsing the net.

I had several programmes open.


Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 dholdridge3 2012-11-20 20:44:37 EST
Watching video using VLC (2.0.4)

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Allan Poulsen 2012-12-03 07:31:18 EST
Tried to boot Windows7 in VirtualBox from an iso image

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 yd 2012-12-21 23:17:41 EST
modifiing certain option of compiz

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Fieryarts 2012-12-22 19:49:15 EST
I replaced nouveau with nVidia drivers after reading a similar bug report related to my graphics card here: http://lists.freedesktop.org/archives/nouveau/2012-July/010800.html

Haven't had any issues with this bug since.
Comment 13 yd 2012-12-25 06:05:26 EST
looking to picture

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 E-liv Gravitán 2013-02-22 00:57:32 EST
xorg-x server constantly falls, I not had reported it because I thought it would be corrected with updates, but it is still falling, I apologize for not giving the right track because I guess it must have been something I installed wrong or I wrote wrong in the terminal, and honestly I'm a new Linux user, if there is a possibility that this defect can be corrected, please help me, thanks in advance.

Package: xorg-x11-server-Xorg-1.12.4-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Damien 2013-04-04 18:33:38 EDT
Description of problem:
Display did not return on waking from "Suspend".

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-2.fc17

Additional info:
executable:     /usr/bin/X
kernel:         3.8.4-102.fc17.x86_64

Truncated backtrace:
0: /usr/bin/X (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/X (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x30f4a00000+0xefe0) [0x30f4a0efe0]
3: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f636a7b8000+0x606a) [0x7f636a7be06a]
4: /usr/lib64/xorg/modules/libexa.so (0x7f6369b66000+0x9df9) [0x7f6369b6fdf9]
5: /usr/lib64/xorg/modules/libexa.so (0x7f6369b66000+0x9f78) [0x7f6369b6ff78]
6: /usr/bin/X (miCopyRegion+0x185) [0x54f785]
7: /usr/bin/X (miDoCopy+0x426) [0x54fd26]
8: /usr/lib64/xorg/modules/libexa.so (0x7f6369b66000+0x8706) [0x7f6369b6e706]
9: /usr/bin/X (0x400000+0x10511d) [0x50511d]
10: /usr/bin/X (0x400000+0xd8d8f) [0x4d8d8f]
11: /usr/bin/X (0x400000+0xda275) [0x4da275]
12: /usr/bin/X (0x400000+0x3446a) [0x43446a]
13: /usr/bin/X (0x400000+0x23475) [0x423475]
14: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x30f4221735]
15: /usr/bin/X (0x400000+0x2374d) [0x42374d]
Comment 16 Rick Wagner 2013-05-15 15:29:19 EDT
Description of problem:
Screen was locked over night. Came in in the morning, and found my X session had restarted.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-2.fc17

Additional info:
executable:     /usr/bin/X
kernel:         3.8.11-100.fc17.x86_64

Truncated backtrace:
0: /usr/bin/X (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/X (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x3cc1c00000+0xefe0) [0x3cc1c0efe0]
3: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7fb0a6579000+0x606a) [0x7fb0a657f06a]
4: /usr/lib64/xorg/modules/libexa.so (0x7fb0a58f8000+0x9df9) [0x7fb0a5901df9]
5: /usr/lib64/xorg/modules/libexa.so (0x7fb0a58f8000+0x9f78) [0x7fb0a5901f78]
6: /usr/bin/X (miCopyRegion+0x185) [0x54f785]
7: /usr/bin/X (miDoCopy+0x426) [0x54fd26]
8: /usr/lib64/xorg/modules/libexa.so (0x7fb0a58f8000+0x8706) [0x7fb0a5900706]
9: /usr/bin/X (0x400000+0x10511d) [0x50511d]
10: /usr/bin/X (0x400000+0xd8d8f) [0x4d8d8f]
11: /usr/bin/X (0x400000+0xda275) [0x4da275]
12: /usr/bin/X (0x400000+0x3446a) [0x43446a]
13: /usr/bin/X (0x400000+0x23475) [0x423475]
14: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3cc1021735]
15: /usr/bin/X (0x400000+0x2374d) [0x42374d]
Comment 17 Emmett Culley 2013-06-06 11:03:53 EDT
Description of problem:
Attempted to run Google Earth which caused KDE to crash.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-2.fc17

Additional info:
executable:     /usr/bin/X
kernel:         3.8.13-100.fc17.x86_64
runlevel:       N 5

Truncated backtrace:
0: /usr/bin/X (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/X (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x3fcc800000+0xefe0) [0x3fcc80efe0]
3: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f3e39ca8000+0x606a) [0x7f3e39cae06a]
4: /usr/lib64/xorg/modules/libexa.so (0x7f3e39033000+0x9df9) [0x7f3e3903cdf9]
5: /usr/lib64/xorg/modules/libexa.so (0x7f3e39033000+0x9f78) [0x7f3e3903cf78]
6: /usr/bin/X (miCopyRegion+0x185) [0x54f785]
7: /usr/bin/X (miDoCopy+0x426) [0x54fd26]
8: /usr/lib64/xorg/modules/libexa.so (0x7f3e39033000+0x8706) [0x7f3e3903b706]
9: /usr/bin/X (0x400000+0x10511d) [0x50511d]
10: /usr/bin/X (0x400000+0xd8d8f) [0x4d8d8f]
11: /usr/bin/X (0x400000+0xda275) [0x4da275]
12: /usr/bin/X (0x400000+0x3446a) [0x43446a]
13: /usr/bin/X (0x400000+0x23475) [0x423475]
14: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3fcc021735]
15: /usr/bin/X (0x400000+0x2374d) [0x42374d]
Comment 18 Fedora End Of Life 2013-07-04 03:14:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Lester Petrie 2013-07-26 09:41:03 EDT
Description of problem:
I was looking at log files, and the log viewer got into a loop.  Then X crashed.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-7.fc17

Additional info:
executable:     /usr/bin/X
kernel:         3.9.10-100.fc17.x86_64
runlevel:       N 5

Truncated backtrace:
0: /usr/bin/X (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/X (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x3152000000+0xefe0) [0x315200efe0]
3: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7fc0e16ac000+0x606a) [0x7fc0e16b206a]
4: /usr/lib64/xorg/modules/libexa.so (0x7fc0e05ec000+0x9df9) [0x7fc0e05f5df9]
5: /usr/lib64/xorg/modules/libexa.so (0x7fc0e05ec000+0x9f78) [0x7fc0e05f5f78]
6: /usr/bin/X (miCopyRegion+0x185) [0x54f785]
7: /usr/bin/X (miDoCopy+0x426) [0x54fd26]
8: /usr/lib64/xorg/modules/libexa.so (0x7fc0e05ec000+0x8706) [0x7fc0e05f4706]
9: /usr/bin/X (0x400000+0x10511d) [0x50511d]
10: /usr/bin/X (0x400000+0xd8d8f) [0x4d8d8f]
11: /usr/bin/X (0x400000+0xda275) [0x4da275]
12: /usr/bin/X (0x400000+0x3446a) [0x43446a]
13: /usr/bin/X (0x400000+0x23475) [0x423475]
14: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3151421735]
15: /usr/bin/X (0x400000+0x2374d) [0x42374d]
Comment 20 Fedora End Of Life 2013-08-01 15:09:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.